aboutsummaryrefslogtreecommitdiff
path: root/debian/postinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/postinst')
-rw-r--r--debian/postinst24
1 files changed, 24 insertions, 0 deletions
diff --git a/debian/postinst b/debian/postinst
new file mode 100644
index 0000000..cd2b3af
--- /dev/null
+++ b/debian/postinst
@@ -0,0 +1,24 @@
+#!/bin/sh
+# debian/postinst file for r-cran-packages
+# Copyright 2004, 2005 by Dirk Eddelbuettel <edd@debian.org>
+
+set -e
+
+#DEBHELPER#
+
+case "$1" in
+ configure)
+ if test -x /usr/bin/R; then
+ /usr/bin/R CMD perl /usr/lib/R/share/perl/build-help.pl --htmllists
+ fi
+ ;;
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ ;;
+esac
+
+
+exit 0
+

Contact - Imprint